petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscDSGetSpatialDimension

Returns the spatial dimension of the DS

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetSpatialDimension(PetscDS prob, PetscInt *dim)

Not collective

### Input Parameter

prob -The PetscDS object

### Output Parameter

dim -The spatial dimension

### See Also

PetscDSGetNumFields(), PetscDSCreate()

Level:beginner
Location:src/dm/dt/interface/dtds.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages